Subject: Re: [WIP/RFC] Allow push and fetch urls to be different

From: Michael J Gruber <[email-masked]>
Date: Sun, 07 Jun 2009 11:00:15 +0200

Junio C Hamano venit, vidit, dixit 07.06.2009 06:19:
> Michael J Gruber <[email-masked]> writes:
> 
>> This introduces a config setting remote.$remotename.pushurl which is
>> used for pushes only. If absent remote.$remotename.url is used for
>> pushes and fetches as before.
>> This is useful, for example, in order to to do passwordless fetches
>> (remote update) over git: but pushes over ssh.
>>
>> Signed-off-by: Michael J Gruber <[email-masked]>
>> ---
>> This is a working prototype, but I'd like to rfc about the approach before
>> coding further.
> 
> As I am guilty for suggesting this, obviously I do not have a problem with
> what the patch wants to achieve.
> 
> And the change looks simple, straightforward and correct.
> 
>> Things that would go in a full series:
>> * documentation (man pages, maybe manual)
>> * tests
> 
> Surely.
> 
>> * teach builtin-remote about pushurl
> 
> Hmm,...  my impression was that "git remote" does not have much support
> for the push side.  What kind of things are you going to teach?

First I was thinking about rm and mv, but that's being taken care of
automatically by removing/renaming a config section. This leaves "remote
show $remote" which should list the pushurls along with the urls.
"remote -v" should probably list urls but not pushurls. I don't plan on
adding pushurl support to "remote add", I think using git config is OK
for this setting.

Michael